# classes/phing/tasks/system/CvsPassTask.php

## \CVSPassTask
jump to top

Adds an new entry to a CVS password file.

Use {@link Project#createTask} to register a new Task.

Extends from
  \Task
author
  Hans Lellelid <hans@xmpl.org> (Phing)
author
  Jeff Martin <jeff@custommonkey.org> (Ant)
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.system
version
  $Revision: 526 $

### Properties

`$cvsRoot= ''`

CVS Root

Details

Type

`$passFile= ''`

Password file to add password to

Details

Type

`$password= ''`

Password to add to file

Details

Type

`$shifts= 'array'`
static

Array contain char conversion data

Default value `array` Details

Type

### Methods

`__construct( ) :`
Create a CVS task using the default cvspass file location.
`main( ) :`
finalDoes the work.
Details

throws
  if someting goes wrong with the build

`mangle( $password ) :`
final"Encode" the password.
Parameters

Name | Type | Description
--- | --- | ---
$password |  |

`setCvsroot( string $cvsRoot ) :`
The CVS repository to add an entry for.
Parameters

Name | Type | Description
--- | --- | ---
$cvsRoot | string |

`setPassfile( \PhingFile $passFile ) :`
Password file to add the entry to.
Parameters

Name | Type | Description
--- | --- | ---
$passFile | \PhingFile |

`setPassword( string $password ) :`
Password to be added to the password file.
Parameters

Name | Type | Description
--- | --- | ---
$password | string |

Documentation was generated by DocBlox 0.13.1.